{% extends 'base.html' %}

{% block title %}Register{% endblock %}

{% block content %}
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<h1 class="text-center my-3">Register</h1>
				{% if error == True %}
					<p class="text-danger">Duplicate User found</p>
				{% endif %}
				<form action="{% url 'todolist:register' %}" method="post">
					{% csrf_token %}

					<div class="mb-3">
					    <label for="username">Username: </label>
					    <input class="form-control" id="username" type="text" name="username" value="{{ username }}" maxlength="50" required>
					</div>

					<div class="mb-3">
					    <label for="first_name">First Name: </label>
					    <input class="form-control" id="first_name" type="text" name="first_name" value="{{ first_name }}" maxlength="50" required>
					</div>

					<div class="mb-3">
					    <label for="last_name">Last Name: </label>
					    <input class="form-control" id="last_name" type="text" name="last_name" value="{{ last_name }}" maxlength="50" required>
					</div>

					<div class="mb-3">
					    <label for="email">Email: </label>
					    <input class="form-control" id="email" type="text" name="email" value="{{ email }}" maxlength="50" required>
					</div>

					<div class="mb-3">
					    <label for="password">Password: </label>
					    <input class="form-control" id="password" type="password" name="password" value="{{ password }}" maxlength="50" required>
					</div>

					<div class="mb-3">
					    <label for="password1">Confirm Password: </label>
					    <input class="form-control" id="password1" type="password" name="password1" value="{{ password1 }}" maxlength="50" required>
					</div>

					<div class="text-center">
				    	<input class="btn btn-success" type="submit" value="Register">
					</div>

				</form>
			</div>
		</div>
	</div>
{% endblock %}


<!-- {% if is_user_registered == False %}
	<h1>Duplicate User Found</h1>
	<p>A duplicate user has been found, user creation unsuccessful</p>
{% else %}
	<h1>User Successfully Created</h1>
	<p>The account for {{firstname}} {{lastname}} has been successfully created</p>
{% endif %} -->